# Enable / disable product

Use the **setProductStatus** method to enable/disable products for your account.

## Request parameters

<table><thead><tr><th width="241.4964599609375">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><strong>Required (string)</strong><br>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionID</code> into all your requests. 2Checkout throws an exception if the values are incorrect. The <code>sessionID</code> expires in <strong>10 minutes</strong>.</td></tr><tr><td><code>productCode</code></td><td><strong>Required (string)</strong><br>Use this object to configure your subscription plan/products. You can set all <code>Product</code> parameters except <code>2CheckoutID</code>. The 2Checkout system sets the unique <strong>product ID</strong>. The <strong>2CheckoutID</strong> is not editable.</td></tr><tr><td><code>Status</code></td><td><strong>Required (Boolean)</strong><br>True or False, depending on whether you want to enable or disable a subscription plan/product.</td></tr><tr><td><code>ReviewProductUrl</code></td><td><strong>Conditional (string)</strong><br>The URL where the product can be reviewed before approval.<br>Parameter is required if the "Enabled" property is sent as TRUE and the product needs to be reviewed by our internal teams before activation.</td></tr><tr><td><code>ReviewAdditionalDetails</code></td><td><strong>Optional (string)</strong><br>Additional information can be added to access the review of the product.</td></tr></tbody></table>

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

$ProductCode = "YourProductCode";

try {
    $ProductStatus = $client->setProductStatus($sessionID, $ProductCode, true); // TRUE to enable a product - FALSE to disable a product
}

catch (SoapFault $e) {
    echo "ProductStatus: " . $e->getMessage();
    exit;
}

var_dump("ProductStatus", $ProductStatus);

?>
```

## Response

```php
bool(true)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/product/enable-disable-product.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
